Bug 158028 - Web Inspector: Cmd-L shortcut for Jump to Line conflicts with selecting URL of inspected page
Summary: Web Inspector: Cmd-L shortcut for Jump to Line conflicts with selecting URL o...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Matt Baker
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-05-24 11:17 PDT by Brian Burg
Modified: 2016-08-03 13:50 PDT (History)
8 users (show)

See Also:


Attachments
[Patch] Proposed Fix (1.94 KB, patch)
2016-08-03 13:19 PDT, Matt Baker
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2016-05-24 11:17:51 PDT
Note: only reproduces when a source code editor has focus. If you click on a sidebar, the URL selection shortcut seems to take priority.
Comment 1 Brian Burg 2016-05-27 07:17:51 PDT
Ping for import.
Comment 2 Radar WebKit Bug Importer 2016-05-27 07:19:34 PDT
<rdar://problem/26516663>
Comment 3 Brian Burg 2016-08-03 11:39:54 PDT
Matt, if we implement the ':' selector for quick open, that will obviate the need for Cmd-L, right?
Comment 4 Matt Baker 2016-08-03 13:15:11 PDT
(In reply to comment #3)
> Matt, if we implement the ':' selector for quick open, that will obviate the
> need for Cmd-L, right?

We can remove it now. Control-G also opens the line number dialog (same as Edge, Chrome, and some popular editors).
Comment 5 Matt Baker 2016-08-03 13:19:43 PDT
Created attachment 285261 [details]
[Patch] Proposed Fix
Comment 6 WebKit Commit Bot 2016-08-03 13:50:36 PDT
Comment on attachment 285261 [details]
[Patch] Proposed Fix

Clearing flags on attachment: 285261

Committed r204099: <http://trac.webkit.org/changeset/204099>
Comment 7 WebKit Commit Bot 2016-08-03 13:50:39 PDT
All reviewed patches have been landed.  Closing bug.